blob: 811427d3c9bcf0d12300ab5cb0544f631c21933c (
plain) (
blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
|
--- apk-tools-2.10.4/test/solver.sh
+++ apk-tools-2.10.4/test/solver.sh
@@ -11,9 +11,9 @@ TEST_TO_RUN="$@"
fail=0
pass=0
for test in ${TEST_TO_RUN:-*.test}; do
- get_block ARGS < $test | xargs $APK_TEST &> .$test.got
+ get_block ARGS < $test | xargs $APK_TEST > .$test.got 2>&1
- if ! get_block EXPECT < $test | cmp .$test.got &> /dev/null; then
+ if ! get_block EXPECT < $test | cmp .$test.got > /dev/null 2>&1; then
fail=$((fail+1))
echo "FAIL: $test"
get_block EXPECT < $test | diff -ru - .$test.got
|